Closed Bug 1387666 Opened 2 years ago Closed Last year

Intermittent browser/components/translation/test/browser_translation_exceptions.js | Test timed out -

Categories

(Firefox :: Translation, defect, P5)

defect

Tracking

()

RESOLVED FIXED

People

(Reporter: intermittent-bug-filer, Assigned: Felipe)

Details

(Keywords: intermittent-failure, Whiteboard: [stockwell disabled])

Attachments

(1 file, 1 obsolete file)

https://wiki.mozilla.org/Bugmasters#Intermittent_Test_Failure_Cleanup
Status: NEW → RESOLVED
Closed: 2 years ago
Resolution: --- → INCOMPLETE
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
In the last 7 days there are 33 failures. 
Most of the failures occur on Linux and Mac, and a few of them on Windows 10. All of the failures occur on x64. 
The most impacted build type is opt, followed by pgo and debug. 

Here is an example with a recent log: https://treeherder.mozilla.org/logviewer.html#?repo=autoland&job_id=144481136&lineNumber=6520 

And the snippet of the log where the test failed:

[task 2017-11-14T02:37:42.716Z] 02:37:42     INFO - TEST-START | browser/components/translation/test/browser_translation_exceptions.js
[task 2017-11-14T02:38:27.789Z] 02:38:27     INFO - TEST-INFO | started process screentopng
[task 2017-11-14T02:38:28.291Z] 02:38:28     INFO - TEST-INFO | screentopng: exit 0
[task 2017-11-14T02:38:28.292Z] 02:38:28     INFO - Buffered messages logged at 02:37:42
[task 2017-11-14T02:38:28.293Z] 02:38:28     INFO - clean exception lists at startup
[task 2017-11-14T02:38:28.294Z] 02:38:28     INFO - TEST-PASS | browser/components/translation/test/browser_translation_exceptions.js | we start with an empty list of languages to never translate - 
[task 2017-11-14T02:38:28.295Z] 02:38:28     INFO - TEST-PASS | browser/components/translation/test/browser_translation_exceptions.js | we start with an empty list of sites to never translate - 
[task 2017-11-14T02:38:28.296Z] 02:38:28     INFO - never for language
[task 2017-11-14T02:38:28.297Z] 02:38:28     INFO - Buffered messages finished
[task 2017-11-14T02:38:28.298Z] 02:38:28     INFO - TEST-UNEXPECTED-FAIL | browser/components/translation/test/browser_translation_exceptions.js | Test timed out - 
[task 2017-11-14T02:38:28.299Z] 02:38:28     INFO - Not taking screenshot here: see the one that was previously logged
[task 2017-11-14T02:38:28.300Z] 02:38:28     INFO - TEST-UNEXPECTED-FAIL | browser/components/translation/test/browser_translation_exceptions.js | A promise chain failed to handle a rejection: The operation was aborted.  - stack: null
[task 2017-11-14T02:38:28.301Z] 02:38:28     INFO - Rejection date: Tue Nov 14 2017 02:37:43 GMT+0000 (UTC) - false == true - JS frame :: resource://testing-common/PromiseTestUtils.jsm :: assertNoUncaughtRejections :: line 253
[task 2017-11-14T02:38:28.302Z] 02:38:28     INFO - Stack trace:
[task 2017-11-14T02:38:28.303Z] 02:38:28     INFO -     resource://testing-common/PromiseTestUtils.jsm:assertNoUncaughtRejections:253
[task 2017-11-14T02:38:28.303Z] 02:38:28     INFO -     chrome://mochikit/content/browser-test.js:Tester.prototype.nextTest<:703
[task 2017-11-14T02:38:28.305Z] 02:38:28     INFO -     timeoutFn@chrome://mochikit/content/browser-test.js:1160:9
[task 2017-11-14T02:38:28.306Z] 02:38:28     INFO -     setTimeout handler*Tester_execTest@chrome://mochikit/content/browser-test.js:1122:9
[task 2017-11-14T02:38:28.313Z] 02:38:28     INFO -     Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:956:9
[task 2017-11-14T02:38:28.314Z] 02:38:28     INFO -     SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:795:59

:felipe could you please take a look?
Flags: needinfo?(felipc)
Whiteboard: [stockwell needswork]
This is near 30 fails in the last 7 days. Most of them on OS X. Here's a part of the log:

[task 2017-12-16T00:06:12.392Z] 00:06:12     INFO - TEST-UNEXPECTED-FAIL | browser/components/translation/test/browser_translation_exceptions.js | Test timed out - 
[task 2017-12-16T00:06:12.394Z] 00:06:12     INFO - Not taking screenshot here: see the one that was previously logged
[task 2017-12-16T00:06:12.395Z] 00:06:12     INFO - TEST-UNEXPECTED-FAIL | browser/components/translation/test/browser_translation_exceptions.js | A promise chain failed to handle a rejection: The operation was aborted.  - stack: null
[task 2017-12-16T00:06:12.395Z] 00:06:12     INFO - Rejection date: Sat Dec 16 2017 00:05:27 GMT+0000 (UTC) - false == true - JS frame :: resource://testing-common/PromiseTestUtils.jsm :: assertNoUncaughtRejections :: line 253

And the whole log here: https://treeherder.mozilla.org/logviewer.html#?repo=autoland&job_id=151915641&lineNumber=4678

::Felipe Gomes, could you let us know if need more info in order to work on the bug? Thank you.
Whiteboard: [stockwell unknown] → [stockwell needswork]
There have been 36 total failures in the last 7 days.

Occurrences per platform:
24  - OS X 10.10
4 - windows10-64
4 - linux64-stylo-disabled
3 - Linux x64
1  - windows10-64-nightly

Occurrences per build type:
33 - opt
3 - pgo

Here is a recent relevant log file: https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-central&job_id=152573225&lineNumber=3263
And a snippet with the failure:

02:35:59     INFO - TEST-INFO | screencapture: exit 0
3257
02:35:59     INFO - Buffered messages logged at 02:35:14
3258
02:35:59     INFO - clean exception lists at startup
3259
02:35:59     INFO - TEST-PASS | browser/components/translation/test/browser_translation_exceptions.js | we start with an empty list of languages to never translate - 
3260
02:35:59     INFO - TEST-PASS | browser/components/translation/test/browser_translation_exceptions.js | we start with an empty list of sites to never translate - 
3261
02:35:59     INFO - never for language
3262
02:35:59     INFO - Buffered messages finished
3263
02:35:59     INFO - TEST-UNEXPECTED-FAIL | browser/components/translation/test/browser_translation_exceptions.js | Test timed out - 
3264
02:35:59     INFO - Not taking screenshot here: see the one that was previously logged
3265
02:35:59     INFO - TEST-UNEXPECTED-FAIL | browser/components/translation/test/browser_translation_exceptions.js | A promise chain failed to handle a rejection: The operation was aborted.  - stack: null
3266
02:35:59     INFO - Rejection date: Wed Dec 20 2017 02:35:14 GMT-0800 (PST) - false == true - JS frame :: resource://testing-common/PromiseTestUtils.jsm :: assertNoUncaughtRejections :: line 253
3267
02:35:59     INFO - Stack trace:
3268
02:35:59     INFO -     resource://testing-common/PromiseTestUtils.jsm:assertNoUncaughtRejections:253
3269
02:35:59     INFO -     chrome://mochikit/content/browser-test.js:Tester.prototype.nextTest<:703
3270
02:35:59     INFO -     timeoutFn@chrome://mochikit/content/browser-test.js:1160:9
3271
02:35:59     INFO -     setTimeout handler*Tester_execTest@chrome://mochikit/content/browser-test.js:1122:9
3272
02:35:59     INFO -     Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:956:9
3273
02:35:59     INFO -     SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:795:59

:Felipe Gomes, would you please take a look? Thank you.
It looks like the frequency has dropped a lot recently. If it becomes a problem again, I guess I'll be re-needinfo'ed :P
Flags: needinfo?(felipc)
(In reply to OrangeFactor Robot from comment #5)
> 3 failures in 1032 pushes (0.003 failures/push) were associated with this
> bug in the last 7 days.    
> 
> Repository breakdown:
> * autoland: 2
> * mozilla-inbound: 1
> 
> Platform breakdown:
> * osx-10-10: 3
> 
> For more details, see:
> https://brasstacks.mozilla.com/orangefactor/
> ?display=Bug&bugid=1387666&startday=2017-09-11&endday=2017-09-17&tree=all
like this

http://www.piefone.com/a-collection-of-best-funny-cool-whatsapp-status-quotes/
This bug has failed 69 times in the last 7 days on linux and osx platform on all build types.

Here is a recent log:
https://treeherder.mozilla.org/logviewer.html#?job_id=194033192&repo=mozilla-inbound&lineNumber=3418

TEST-PASS | browser/components/translation/test/browser_translation_exceptions.js | we start with an empty list of sites to never translate - 
[task 2018-08-15T07:26:50.681Z] 07:26:50     INFO - never for language
[task 2018-08-15T07:26:50.681Z] 07:26:50     INFO - Buffered messages finished
[task 2018-08-15T07:26:50.683Z] 07:26:50     INFO - TEST-UNEXPECTED-FAIL | browser/components/translation/test/browser_translation_exceptions.js | Test timed out - 
[task 2018-08-15T07:26:50.684Z] 07:26:50     INFO - GECKO(5623) | MEMORY STAT | vsize 1858MB | residentFast 272MB | heapAllocated 96MB
[task 2018-08-15T07:26:50.686Z] 07:26:50     INFO - TEST-OK | browser/components/translation/test/browser_translation_exceptions.js | took 45131ms

:felipe Gomes Can you please take a look at this bug?
Flags: needinfo?(felipc)
Whiteboard: [stockwell unknown] → [stockwell needswork]
Comment on attachment 9002305 [details] [diff] [review]
Disable for frequent failures on Linux and Mac

Review of attachment 9002305 [details] [diff] [review]:
-----------------------------------------------------------------

::: browser/components/translation/test/browser.ini
@@ +13,4 @@
>  [browser_translation_infobar.js]
>  skip-if = (verify && debug && (os == 'mac'))
>  [browser_translation_exceptions.js]
> +skip-if = (os == 'linux') || (os == 'mac') # Bug 1387666

I would like to keep the verify condition in here so we understand this test fails in verify mode:
skip-if = (verify && debug && (os == 'mac')) || (os == 'linux') || (os == 'mac') # Bug 1387666
Attachment #9002305 - Flags: review?(jmaher) → review-
Stefan, could you make the adjustments to this patch?
Flags: needinfo?(shindli)
Flags: needinfo?(shindli)
Attachment #9002477 - Flags: review?(jmaher)
Attachment #9002477 - Flags: review?(jmaher) → review+
Whiteboard: [stockwell disable-recommended] → [stockwell disabled]
Attachment #9002305 - Attachment is obsolete: true
Pushed by shindli@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/e167871cd220
Disabled browser_translation_exceptions.js on mac and linux for frequent failures. r=jmaher
Keywords: checkin-needed
Disabling browser_translation_infobar.js on debug builds got rid of bug 1377729 and reduced the frequency of failure on this test. I'll also just disable this test on debug to get rid of the remaining failures.
Assignee: nobody → felipc
Status: REOPENED → ASSIGNED
Flags: needinfo?(felipc)
Pushed by felipc@gmail.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/28e744608c87
Disable browser_translation_exceptions.js on debug builds. r=me
Status: ASSIGNED → RESOLVED
Closed: 2 years agoLast year
Keywords: leave-open
Resolution: --- → FIXED
Comment on attachment 9002477 [details] [diff] [review]
Disabled on linux and mac

diff --git a/browser/components/translation/test/browser.ini b/browser/components/translation/test/browser.ini
--- a/browser/components/translation/test/browser.ini
+++ b/browser/components/translation/test/browser.ini
@ https://www.gemsfly.com/
https://www.suprememobiles.in/
You need to log in before you can comment on or make changes to this bug.